# Задача 7. IP-адрес 2
# При написании клиент-серверного приложения часто приходится работать с теми самыми IP-адресами. Как мы уже знаем,
# IP-адрес состоит из четырёх целых чисел в диапазоне от 0 до 255, разделённых точками.
# Пользователь вводит строку. Напишите программу, которая определяет, является ли заданная строка правильным IP-адресом.
# Обеспечьте контроль ввода, где предусматривается ввод целых чисел от 0 до 255, а также точки между ними.
# Пример 1:
# Введите IP: 128.16.35.a4
# a4 - не целое число
# Пример 2:
# Введите IP: 240.127.56.340
# 340 превышает 255
# Пример 3:
# Введите IP: 34.56.42,5
# Адрес - это четыре числа, разделённые точками
# Пример 4:
# Введите IP: 128.0.0.255
# IP-адрес корректен

ip_address = input('Введите IP: ').split('.')

if len(ip_address) == 4:
    check = True
    for i_num in ip_address:
        if not i_num.isdigit():
            print(i_num, ' - не целое число')
            check = False
            break
        elif not int(i_num) <= 255:
            print(i_num, 'превышает 255')
            check = False
            break
    if check:
        print('IP-адрес корректен')
else:
    print('Адрес - это четыре числа, разделённые точками')
